Sitemize reklam vermek için [email protected] adresine mail atabilirsiniz
For Advertising Contact [email protected]


Sunucu Sürüm Seçimi - Hangi Sürümü Seçmelisiniz?

5.00 yıldız(lar) 1 Oy

-ANDROID-

Level 1
Üye
Katılım
1 Eki 2019
Konular
2
Mesajlar
3
Reaksiyon Skoru
0
Online Süresi
8d
Başarım Puanı
3
Madalyalar
0
MmoLira
2
DevLira
0
En İyi Cevap Puanı
0
Takipçiler
0
Merhabalar
Bu konumda bir çok kişinin sürümleri karşılaştırması vesaire üzerine sürüm seçimi ve sunucu sürümleri konusuna değinmek istedim.
Konuyu bir kaç başlık altında değerlendireceğim. İlk olarak Son Sürüm Mantığı ile başlayalım.

Son Sürüm Mantığı
Sürüm seçiminde her zaman son sürümler daha fazla özellik, bugfix, performans artışı (gelen özellikler performansı düşürmüş olabilir fakat zamanla stabilleşecektir) vesaire içerir. Son sürüm demek tabii ki sadece 1.13.2 demek değil, son ve en güncel .JAR dosyanızın olması da bir etken. Fakat biz bu konuda genel olarak 1.8.8 mi 1.12.2 mi 1.13.2 mi tarzı bir olaya / tartışmaya cevap bulmaya çalışıyoruz.

Yani mantıksal olarak düşünür isek her şeyin son sürümünü kullanmalıyız. Fakat bunda bir zorunluluk vesaire yok. Herkes istediği sürümü kullanabilir; bir sunucu eleştirilir veya gözden geçirilir iken bana kalırsa o sürüm kullanılarak ortaya çıkan sonuca bakılmalıdır.

Yani demem o ki eğer yazılım bilginiz var ise, veya ekstra eklentiler yükleyerek, ileri ki sürümlerde gerçekleşen bugfix ve iyileştirmeleri kendi sürümünüze getirebilirsiniz. Yapabileceğiniz şeyler limitsiz. Sürüm seçimi bana kalır ise sadece bir numara, fakat yinede büyük önem taşıyor.

Türe Göre Sürüm Mantığı
Sunucu türünüz Survival veya onun türevleri ise genelde son sürüm kullanılır çünkü oyunun kendisinin amacı zaten hayatta kalmaktır, bu nedenle insanların tek oyunculu oynamak yerine sizin sunucunuzu tercih etmesi için tek oyunculu da bulunan tüm özellikleri sağlamanız ve ekstra olarak plugin veya mod ile özellik sağlayıp güzel bir ortam oluşturmanız gerekmektedir.

Bu özellikleri plugin veya mod ile belli bir seviyeye kadar kendiniz başka sürümlerde ekleyebilmenize karşın, oyunun kendisinde olan özellik kadar sağlam, stabil, güzel olmayacaktır. Mesela plugin ile ekleyeceğiniz bir item, 1.9+ sürümlerinde çalışan, durability sistemi ile bir itemin dokusunu değiştirerek çalışır ve sunucuya giren oyuncuların kaynak paketi yüklemesi gerekir.

Survival dışında, Faction, PvP, Skyblock gibi bir çok sunucu tiplerinde 1.8.8 sürümü kullanılır. BStats istatistiklerine göre 1.13.2 ve hemen ardından 1.8.8 en çok kullanılan sürümlerdir. sizde en çok kullanılan sürümlere bakabilirsiniz.

en çok kullanılan sürümler şunlardır:

- 1.13.2: 25.5%
- 1.8.8: 23.2%
- 1.12.2: 22.3%
- Bilinmeyen sürüm: 10.8% (O.P :D)

Fakat başta dediğimi hatırlayın. Siz istediğiniz sürümü kullanabilirsiniz. Bir şeyin çok kullanılması, veya popüler olması, veyahut son sürüm olması bana kalırsa hiç bir şey ifade etmez. Siz, size mantıklı gelen, ihtiyacınız olan sürümü seçmelisiniz. Bu konu sadece size kafanızda bir düşünce oluşturmak ve sürüm seçiminde yardımcı olmak, ayrıca insanlara insanların her şeyde özgür oldukları mesajını vermek amacıyla açıldı.

Bir Sürüme Bağlanma Mantığı
İnsanların son sürüm kullanmamasının nedeni genelde bir sürüme bağlanmaları veya onun çeşitli nedenlerden dolayı diğer sürümlerden daha iyi olduğunu düşünmeleridir. Bu nedenler PvP'den tutun da, yeni sürümlerin kastırdığına kadar gider. Yani insanların son sürümü kullanmak için nedenleri olduğu gibi, eski sürümleri kullanmak içinde nedenleri vardır.

Ayrıca bugün bir sürümün son sürüm olması, onun yarın son sürüm olacağı, veyahut ondan sonraki gelen sürümün önceki sürüm ile uyumlu olacağı anlamına gelmiyor. Yani size şunu demek istiyorum ki, yukarıda da belirttiğim gibi, insanların sunucularını sürüme göre yargılamayın.

Mesela konu dışı olmasına rağmen benim sunucum 1.7.10 sürümündedir. Bunu sizde 1.7.10 açın diye değil sadece örnek vermek amaçlı yazıyorum. Bu nedenden dolayı çok eleştiri aldım, bu iyi bir şey, kızmıyorum. Fakat eleştiriden daha kötü olarak bazı arkadaşların "1.7 sunucu mu olur", "1.7 çöp" tarzı laflarını gördüm ve biraz üzüldüm açıkcası.

Çünkü amaçları bana geri bildirimde bulunmak, öneri de bulunmak olsaydı "1.13.2 açsan daha iyi olurdu bence" tarzı şeyler diyebilirlerdi. Fakat bazı arkadaşlar eleştiri adı altında maalesef dalga geçmeyi veya aşağılamayı, dışlamayı savunuyor. Benim sunucumun sürümden dolayı bu kadar eleştirilmesini, özellikle de bu forumda ki genel kişiler tarafından eleştirilmesini - karalanmasını - insanların sunucuma "1.7 sunucu nasıl zümrüt sunucu ödülü alır" tarzı düşünce / önyargı yapısına bağlıyorum ben. Yönetime sunucu sürümü diye puanlama kategorisi açıp son sürüm açanlara ekstra puan vermedikleri ve benim sunucumda 1.7.10 olduğu için direk "bunu değerlendirmeye bile gerek yok yaw" diyerek bu arkadaşlar gibi davranmadıkları ve bana Zümrüt Sunucu Ödülü verdikleri için bir kez daha teşekkür ediyorum.

Yukarıda da dediğim gibi. İnsanların bir şeyi yapmamak için sebepleri olduğu gibi, yapmak için de sebepleri vardır. Bir şeyin iyi yanları olduğu gibi, kötü yanları da vardır. Yani kısaca her şeye objektif olarak bakmalıyız. Sadece iyi yanlarını veya kötü yanlarını değerlendirmemeli, sadece bir daldan eleştirmemeliyiz. Bu arkadaşların sürümden eleştirmesi ve üstüne bir de sunucuyu değil de tüm genel 1.7 sunucuları hedef alarak, "çöp" gibi aşağılayıcı hakaretler kullanarak eleştirmesini geçiyorum, tek eleştirdikleri şeyde bu.

Bu yukarıda bahsettiğim "1.7 sunucu mu olur, 1.8 sunucu mu olur", "1.7 / 1.8 çöp" tarzı konuşan arkadaşların yaptığı şey, belli bir sürümü kullanan insanları dışlamak, aşağılamak, dalga geçmek. Bu sadece 1.7 veya 1.8 değil tabii ki, bunlar örnek sadece.

Her neyse, konumuza dönebiliriz. Kendimden örnek verdim sadece. Bu olaydan üzerine alınan arkadaşlar da var ise sadece örnek verdim, alınmanıza veya yorumlarda tartışma başlatmanıza gerek yok.

Ee Kardeşim Sen Şimdi Bize Sürüm Önermeyecek Misin?
Benden ne duymak istediğinizi ve bu konuya neden girdiğinizi çok iyi biliyorum. Çoğu insan kendini doğrulamak, kendinden emin olmak ister. Yani siz 1.8.8 kullanıyor iseniz bu konuya girdiğinizde benim "1.8.8 en iyi sürümdür" dememi beklersiniz. Fakat burada benim veya bir başkasının bir şeyi önermesi veya önermemesi hiç önemli değildir. Bütün konu boyunca anlattığım şeyde buydu, siz, size en mantıklı gelen, ihtiyacınız olan sürümü seçmelisiniz. İnsanların ne dediği sizin umurunuzda olmamalı.

Mesela insanlar genelde kendilerinden daha büyük, bilgili veya ünlü kişilere kişisel tercihlerini, dinlerini, hangi partiye oy verdiklerini vesaire sormak ve cevap almak isterler. Çünkü insanlar, o kişiler gibi olmak isterler. Fakat doğru olan ise herkesin kendi olması ve kendi kafasına yatan, mantıklı gelen seçimleri yapmasıdır.

Size bir sürüm önermeyeceğim. Sizi yine hayal kırıklığına uğrattıysam kusura bakmayın. Fakat size Bukkit, Spigot, Paper vb. arasından bir öneri yapabilirim.
Ben size Paper öneririm. Fakat BStats istatistiklerine göre Spigot en çok kullanılan sürüm, ayrıca isterseniz Bukkit / CraftBukkit'de kullanabilirsiniz. Yine dediğim gibi; siz ne isterseniz, size hangisi mantıklı geliyor, doğru geliyor, veyahut hangisini istiyor iseniz, en doğrusu odur.

Aşağıya bırakacağım linkler ilk üç-dört en popüler sürüm için PaperSpigot linkleridir. 1.12.2 ve 1.13.2 aktif olarak geliştirildiği için ve kendi sitesinde indirme linkleri bulunduğu için kendi sitesinin linkini koydum, fakat 1.8.8 ve 1.7.10 artık desteklenmediği için, 1.8.8'i kendi siteme yükleyip onun linkini koydum. 1.7.10'da ise kendi sunucumda kullandığım LifeSpigot'un linkini koyuyorum.

Mağlum koskoca YivesMirror da kapandı zaten, birazda o yüzden kendi sitemin linkleri de mevcut.

1.13.2:
1.12.2:
1.8.8 (Paper 2016 CPU Patch ile birlikte):
1.7.10 (LifeSpigot):

Diğer Sürümler:

 

Şu an konuyu görüntüleyenler (Toplam : 1, Üye: 0, Misafir: 1)

Üst